Bug 604392 - libiptcdata-devel depends on gtk-doc unnecessarily
Summary: libiptcdata-devel depends on gtk-doc unnecessarily
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libiptcdata   
(Show other bugs)
Version: 16
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Moore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: 604169
TreeView+ depends on / blocked
 
Reported: 2010-06-15 20:56 UTC by Felipe Contreras
Modified: 2013-02-14 16:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-14 02:58:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Felipe Contreras 2010-06-15 20:56:16 UTC
There's no need to depend on gtk-doc to install .html files. See the tracking bug for details.

Comment 1 Felipe Contreras 2011-05-25 12:15:12 UTC
Still present on F15.

See the revised guidelines which mention specifically gtk-doc:
http://fedoraproject.org/wiki/PackagingGuidelines#File_and_Directory_Ownership

Comment 2 Felipe Contreras 2011-11-16 17:04:31 UTC
Still an issue on F16.

Comment 3 David Moore 2011-11-17 07:17:23 UTC
I removed the gtk-doc dependency in the -devel package and built for rawhide:

https://koji.fedoraproject.org/koji/buildinfo?buildID=274553

Comment 4 Fedora End Of Life 2013-01-17 02:02:04 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-14 02:58:25 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Stanislav Ochotnicky 2013-02-14 16:20:34 UTC
For the record this was fixed in F17 (version >=1.0.4-5)


Note You need to log in before you can comment on or make changes to this bug.